namespace BattleShip.Model
{
    public class Coordinate
    {
        public int X { get; }
        public int Y { get; }

        public Coordinate(int x, int y)
        {
            X = x;
            Y = y;
        }

        public override bool Equals(object obj)
        {
            Coordinate otherCoordinate = obj as Coordinate;

            if (otherCoordinate == null)
                return false;

            return otherCoordinate.X == X &&
                   otherCoordinate.Y == Y;
        }
		
        public override int GetHashCode() 
        { 
            string uniqueHash = X + Y + "00"; 
            return (System.Convert.ToInt32(uniqueHash)); 
        } 

    }
}